场外交易
otc手续费分成记录
POST
/
platformapi
/
chainup
/
open
/
record
/
feeSharing_otc_detail
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/feeSharing_otc_detail
{
"code": "0",
"msg": "suc",
"data": {
"count": 1,
"list": [
{
"volumeDivideRate": 0.0004000000000000,
"rateSymbol": "BTC",
"rateTime": 1584532046000,
"itemDate": 1696867200000,
"maxDivideRate": 0.0010000000000000,
"otcTradeFeeConvertValue": 0.0010000000000000,
"remark": "fingerprint error , stop Huisuan",
"billingStatusStr": "Settled accounts",
"mtime": 1696908515000,
"countTime": 1584532046000,
"billingStatus": 3,
"companyId": 1411,
"coinSymbol": "BTC",
"incomeDivideRate": 0.2000000000000000,
"otcTradeValueAll": 1.0000000000000000,
"fingerprint": "f5b20370eef6fc9aed36e01c8db2cdf6",
"ctime": 1584532046000,
"id": 2,
"otcTradeValueSub": 0E-16,
"changeRate": 0E-16,
"otcTradeFeeValue": 0.0050000000000000
}
]
}
}
参数:
通常数据会经过三个阶段:
已统计:获取所有的原数据
已汇算:根据分成比例来计算原数据从而获取相关数据,比如手续费分成收入
已结账:将已汇算的数额转入对应的账户中去,比如手续费归集账户 对于对账需求,已结账的状态对于商户来说是需要重点关注并且通过API来获取的
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
symbol
string
币对
itemDateStart
string
开始时间 不传时间 默认查最新7天
Example: 1696994410000
itemDateEnd
string
结束时间
Example: 1696994410000
pageSize
string
每页数量(默认,20,最大1000,可以等于1000)
Example: 20
page
string
页码
Example: 1
billstatus
string
状态: 0 已统计, 1 已汇算, 3 已结账, -999 全部
Example: 1
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/feeSharing_otc_detail
{
"code": "0",
"msg": "suc",
"data": {
"count": 1,
"list": [
{
"volumeDivideRate": 0.0004000000000000,
"rateSymbol": "BTC",
"rateTime": 1584532046000,
"itemDate": 1696867200000,
"maxDivideRate": 0.0010000000000000,
"otcTradeFeeConvertValue": 0.0010000000000000,
"remark": "fingerprint error , stop Huisuan",
"billingStatusStr": "Settled accounts",
"mtime": 1696908515000,
"countTime": 1584532046000,
"billingStatus": 3,
"companyId": 1411,
"coinSymbol": "BTC",
"incomeDivideRate": 0.2000000000000000,
"otcTradeValueAll": 1.0000000000000000,
"fingerprint": "f5b20370eef6fc9aed36e01c8db2cdf6",
"ctime": 1584532046000,
"id": 2,
"otcTradeValueSub": 0E-16,
"changeRate": 0E-16,
"otcTradeFeeValue": 0.0050000000000000
}
]
}
}